======================
 Lezione 5 - dispensa
======================

Comandi introdotti
------------------

``find(1)``
   cerca tra i file

   -name  per nome
   -size  per dimensioni in blocchi o in byte (con c)
   -user  per utente di appartenenza

``grep(1)``
   cerca nei file

Globbing
--------

Il globbing è una sintassi usata per indicare un insieme di stringhe 
simili tra di loro tramite l'uso di semplici caratteri "speciali".

Bash espande il globbing e passa ai programmi l'elenco di file 
che corrispondono all'espressione, ma ci sono altri comandi 
come find che usano la stessa sintassi (e richiederanno 
che questa venga protetta dall'espansione della shell).

Elementi di base per il globbing
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

``*``
   uno o più caratteri qualsiasi
``?``
   un carattere qualsiasi
``[abc]``
   uno tra i caratteri 'a', 'b' o 'c'
``[a-c]``
   i caratteri compresi tra 'a' e 'c'
``\``
   protegge il carattere successivo (significato letterale)

Espressioni regolari
--------------------

Un'espressione regolare serve per definire un modello per descrivere 
delle stringe da ricercare.

Le espressioni regolari sono in generale più complesse del semplice 
globbing, ma anche più complesse da scrivere ed interpretare, 
e ne esistono esempi estremamente intricati nei quali anche 
un esperto può perdersi.
In questa dispensa elenchiamo solo i mattoni più semplici 
per la loro costruzione.

Elementi di base per le espressioni regolari
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

``*``
   zero o più ripetizioni
``?``
   zero o una ripetizione
``+``
   una o più ripetizioni
``.``
   un carattere qualsiasi
``^``
   inizio della stringa
``$``
   fine della stringa
``[abc]``
   uno tra i caratteri 'a', 'b' o 'c'
``[a-c]``
   uno tra i caratteri compresi tra 'a' e 'c'
``[:alnum:]``
   un carattere alfanumerico
``\``
   protegge il carattere successivo (significato letterale)

.. container:: licenza

   Copyright (C) 2014 Elena Grandi — Quest'opera è stata rilasciata 
   con licenza Creative Commons Attribuzione 4.0 Internazionale.
   Per leggere una copia della licenza visita il sito web
   http://creativecommons.org/licenses/by/4.0/deed.it
